*******************************************************************************
* demo.prg
*
* demonstration of CB_GPR1x.lib
*
* (c) 1994 Christopher Blencowe
* Clipper 5.x / CB_GPR1.x / barcode.lib
*
* Note: I had to increase the memory value 'full print'
* on a EPSON EPL-4100 printer in HP-LJ emulation to '5',
* reserving 100kB of page buffering memory for this demo
*********************************************************************
 
*******************************************************************************
* Used functions: gpr_init(), gpr_deinit() , gpr_text(), gpr_width()
* Used variables: gpr_linesa[]
*******************************************************************************
 
*******************************************************************************
* only one font possible in shareware version
#define DEFAULTFONT 1
#define DEFAULTNAME "BC96p"

* really copy spoolfile to printer
#undef DOPRINT
*******************************************************************************
* To avoid the CHR(26) problem change the line below if you have
* a low level print function as in CA-TOOLS III called PRINTSEND()
#undef HAS_PRINTSEND
 
#ifdef HAS_PRINTSEND
#command ?? <x> => printsend(<x>,"LPT1")
#endif
 
*******************************************************************************
* No more changes neccesary below
 
PRIVATE line,nWidth
 
nWidth=0
CLEAR
type:="LJ "
demo:=PADR("ABCDEF",15)
@0,0 SAY "Which TYPE of printer do you have (EPS/IBM/LJ/GQ): " GET type PICTURE "@!" VALID ("$"+type+"$")$("$EPS$IBM$LJ $GQ $")
@1,0 SAY "Enter a Text to be printed                         " GET demo PICTURE "@!"
READ

@2,0 SAY "You may change the horizontal size of the barcode"
@3,0 SAY "with modifying and/or re-compiling the 'barcode-font'."
@4,0 SAY "You may change the vertical size with changes in the print loop or"
@5,0 SAY "with modifying and/or re-compiling the 'barcode-font'."
 
DO CASE
CASE ("$"+type+"$")$("$LJ $GQ $")
   name="..\"+DEFAULTNAME+"\LJ150\"+DEFAULTNAME
CASE ("$"+type+"$")$("$IBM$EPS$")
   name="..\"+DEFAULTNAME+"\EPS180\"+DEFAULTNAME
ENDCASE
 
@8,0 SAY gpr_version()
@9,0 SAY "Demonstration in progress ..."
@10,0 SAY "Text: " + ALLTRIM(demo)
@11,0 SAY "Code: " + bc_code39(ALLTRIM(demo))
 
IF FILE(name+".mem") .AND. FILE(name+".arr")
   file="file"
   SET CONSOLE OFF
   SET DATE GERMAN
   SET MARGIN TO 5
   SET PRINTER TO (file)
   SET PRINT ON
    
   ? gpr_version()
   ? DTOC(DATE()) + " - " + TIME()
   ? ALLTRIM(demo)           && for MARGIN
    
   ?? gpr_init(name,type)         && changes verical line spacing
    
   for line=1 to gpr_linesa[DEFAULTFONT]
      ? gpr_text(DEFAULTFONT,line,bc_code39(ALLTRIM(demo)),@nWidth)
   next line
    
   ?? gpr_deinit()           && changes verical line spacing
    
   ?
   ?
    
   IF GPR_PTYP="LJ" .OR. GPR_PTYP="GQ"
      EJECT
   ENDIF
    
   SET PRINT OFF
   SET PRINTER TO
   #ifdef DOPRINT
   IF FILE(file + ".prn")
      RUN ("copy "+ file + ".prn PRN /b >NUL")
   ENDIF
   #endif
   ?
    
ELSE
   ?
   ? "Sorry, font files not found, have you precompiled them ?"
   ?
ENDIF
 
RETURN
 
*******************************************************************************
* that's all
*******************************************************************************
